Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tree
Class EmptyTreeSelectionModel

    java.lang.Object
      echopointng.tree.DefaultTreeSelectionModel
          echopointng.tree.EmptyTreeSelectionModel

All Implemented Interfaces:
  TreeSelectionModel, java.io.Serializable

    public class EmptyTreeSelectionModel

extends DefaultTreeSelectionModel

This `TreeSelectionModel` does not allow any selection to occur.

See Also:
  Serialized Form

Field Summary
`protected static EmptyTreeSelectionModel` | `sharedInstance` Unique shared instance.

Fields inherited from class echopointng.tree.DefaultTreeSelectionModel
`changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

Fields inherited from interface echopointng.tree.TreeSelectionModel
`CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

Constructor Summary
`EmptyTreeSelectionModel()` EmptyTreeSelectionModel constructor comment.

Method Summary
`void` | `addSelectionPaths(TreePath[] paths)` A null implementation that adds nothing
`static EmptyTreeSelectionModel` | `getInstance()` Returns a shared instance of an empty selection model
`void` | `removeSelectionPaths(TreePath[] paths)` A null implementation that removes nothing
`void` | `setSelectionPaths(TreePath[] pPaths)` A null implementation that selects nothing

Methods inherited from class echopointng.tree.DefaultTreeSelectionModel
`addPropertyChangeListener, addSelectionPath, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getMaxSelectionRow, getMinSelectionRow, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, toString, updateLeadIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sharedInstance

    protected static final EmptyTreeSelectionModel sharedInstance

  Unique shared instance.

Constructor Detail

### EmptyTreeSelectionModel

    public EmptyTreeSelectionModel()

  EmptyTreeSelectionModel constructor comment.

Method Detail

### addSelectionPaths

    public void addSelectionPaths(TreePath[] paths)

  A null implementation that adds nothing

  Specified by:
    `addSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `addSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `paths` - the new paths to add to the current selection.

### getInstance

    public static EmptyTreeSelectionModel getInstance()

  Returns a shared instance of an empty selection model

### removeSelectionPaths

    public void removeSelectionPaths(TreePath[] paths)

  A null implementation that removes nothing

  Specified by:
    `removeSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `removeSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `paths` - the paths to remove from the selection.

### setSelectionPaths

    public void setSelectionPaths(TreePath[] pPaths)

  A null implementation that selects nothing

  Specified by:
    `setSelectionPaths` in interface `TreeSelectionModel`
  Overrides:
    `setSelectionPaths` in class `DefaultTreeSelectionModel`
  Parameters:
    `pPaths` - new selection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD